Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Say what

  • Loading branch information...
commit 00c8c983d18db9e9af381aaea1bb0c2c7601fa12 1 parent 47d42eb
@enebo enebo authored
Showing with 0 additions and 154 deletions.
  1. +0 −154 maven/#pom.xml#
View
154 maven/#pom.xml#
@@ -1,154 +0,0 @@
-<?xml version="1.0"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
- xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
- <parent>
- <groupId>org.jruby</groupId>
- <artifactId>shared</artifactId>
- <version>1.7.0.dev</version>
- <relativePath>../pom.xml</relativePath>
- </parent>
- <modelVersion>4.0.0</modelVersion>
- <artifactId>jruby-common</artifactId>
- <packaging>pom</packaging>
- <name>JRuby Common</name>
-
- <properties>
- <jar.scope>provided</jar.scope>
- <asm.version>4.0</asm.version>
- </properties>
-
- <dependencies>
- <!-- ASM comes with our source, and is included in the jar, but is rewritten to
- a jruby-specific package to avoid conflicts. -->
- <dependency>
- <groupId>org.ow2.asm</groupId>
- <artifactId>asm</artifactId>
- <version>${asm.version}</version>
- <scope>provided</scope>
- </dependency>
- <dependency>
- <groupId>org.ow2.asm</groupId>
- <artifactId>asm-commons</artifactId>
- <version>${asm.version}</version>
- <scope>provided</scope>
- </dependency>
- <dependency>
- <groupId>org.ow2.asm</groupId>
- <artifactId>asm-util</artifactId>
- <version>${asm.version}</version>
- <scope>provided</scope>
- </dependency>
- <dependency>
- <groupId>org.ow2.asm</groupId>
- <artifactId>asm-analysis</artifactId>
- <version>${asm.version}</version>
- <scope>provided</scope>
- </dependency>
- <dependency>
- <groupId>org.ow2.asm</groupId>
- <artifactId>asm-tree</artifactId>
- <version>${asm.version}</version>
- <scope>provided</scope>
- </dependency>
- </dependencies>
- <dependencyManagement>
- <dependencies>
- <!-- JRuby dependencies included in the jar and *not* rewritten. -->
- <dependency>
- <groupId>org.jruby.joni</groupId>
- <artifactId>joni</artifactId>
- <version>1.1.7</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>com.github.jnr</groupId>
- <artifactId>jnr-netdb</artifactId>
- <version>1.0.6</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>com.github.jnr</groupId>
- <artifactId>jnr-posix</artifactId>
- <version>2.1</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>org.jruby.extras</groupId>
- <artifactId>bytelist</artifactId>
- <version>1.0.10</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>com.github.jnr</groupId>
- <artifactId>jnr-constants</artifactId>
- <version>0.8.3</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>org.jruby.jcodings</groupId>
- <artifactId>jcodings</artifactId>
- <version>1.0.7</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>com.github.jnr</groupId>
- <artifactId>jffi</artifactId>
- <version>1.2.1</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>com.github.jnr</groupId>
- <artifactId>jffi</artifactId>
- <version>1.1.0</version>
- <scope>runtime</scope>
- <classifier>native</classifier>
- </dependency>
- <dependency>
- <groupId>com.github.jnr</groupId>
- <artifactId>jnr-ffi</artifactId>
- <version>0.7.2</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>org.yaml</groupId>
- <artifactId>snakeyaml</artifactId>
- <version>1.10</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>jline</groupId>
- <artifactId>jline</artifactId>
- <version>2.7</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>joda-time</groupId>
- <artifactId>joda-time</artifactId>
- <version>2.1</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>org.slf4j</groupId>
- <artifactId>slf4j-api</artifactId>
- <version>1.6.1</version>
- <scope>${jar.scope}</scope>
- </dependency>
- <dependency>
- <groupId>org.slf4j</groupId>
- <artifactId>slf4j-simple</artifactId>
- <version>1.6.1</version>
- <scope>${jar.scope}</scope>
- </dependency>
- </dependencies>
- </dependencyManagement>
-
- <modules>
- <module>jruby</module>
- <module>jruby-core</module>
- <module>jruby-complete</module>
- <module>jruby-stdlib</module>
- <module>jruby-dist</module>
- <module>jruby-rake-plugin</module>
- </modules>
-
-</project>
Please sign in to comment.
Something went wrong with that request. Please try again.